/* General parameter definitions for Eurogam Sort  */

#ifndef INCegsorth
#define INCegsorth

#define forward extern

#define UNI   1
#define MULTI 2

#define TRUE 1
#define FALSE 0

#define event_header_word   0xffff0000

extern int **simples;            /* defined 16384+2048 in local-version.h */
extern int **simples_addr;

int simples_found[16384];

extern int **groups;                   /* defined 256 in local-version.h */
extern int **groups_addr;


int groups_found[8192];

extern int *eventptr,*eventstart,*eventend;
extern int *outptr1,*outptr2,*outptr3,*outptr4;
extern int *outhwm1,*outhwm2,*outhwm3,*outhwm4;

int *triggers[256];              /* only used by non-eurogam event formats */
int trigger_length[256];         /* only used by non-eurogam event formats */

extern void *localdata;
extern void *spbase;

#include <egstats.h>

#ifndef INCstatdefs
#define INCstatdefs

/* Following are set to point inside above struct by event_init() */

int *blocks_input;
int *blocks_output;
int *events_input;
int *events_output;

#endif

#ifndef __DEC
float random();
#endif
double sqrt(double);
double exp(double);
double log(double);
double log10(double);
double sin(double);
double cos(double);
double tan(double);
double asin(double);
double acos(double);
double atan(double);
double pow(double,double);

#endif
