
#    MIDAS Access Client  for  Command service

package require MIDASAccessClient    ;#   load default support procedures

global CommandServerHost CommandServerPort

if {[info exists CommandServerHost] == 0} then {set CommandServerHost localhost}
if {[info exists CommandServerPort] == 0} then {set CommandServerPort 8015}

variable uri "urn:CommandServer"
variable proxy "http://$CommandServerHost:$CommandServerPort/CommandServer"

SOAP::create Command -proxy $proxy -uri $uri -timeout 5000  \
     -name Command  \
     -params {p string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 


package provide CommandClient 1.0

